Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.transaction
Interface InterposedTransactionManager

public interface InterposedTransactionManager

InterposedTransactionManager is used by a bi-directional gateway for importing foreign transactions into WLS. Gateway implementors obtain a `XAResource` interface from the WLS Transaction Manager to import foreign transactions into WLS, and to coordinate the foreign transactions.

InterposedTransactionManager is available via JNDI lookup under the path of "weblogic.transaction.coordinators." and from `weblogic.transaction.TxHelper`.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  `weblogic.transaction.TxHelper.getClientInterposedTransactionManager`,

  Note that we do not yet support importing the same foreign transaction into different WLS domains via our Client `InterposedTransactionManager`.

Method Summary
`javax.transaction.Transaction` | `getTransaction()` Gets the transaction object that is associated with the current thread
`javax.transaction.Transaction` | `getTransaction(javax.transaction.xa.Xid xid)` Given an Xid returns the corresponding transaction object, if any
`javax.transaction.xa.XAResource` | `getXAResource()` Obtains the `XAResource` object associated with this Transaction Manager instance

Method Detail

### getXAResource

    public javax.transaction.xa.XAResource getXAResource()

  Obtains the `XAResource` object associated with this Transaction Manager instance

  Returns:
    the `XAResource` interface implemented by the WLS Transaction Manager. It is used by the gateway for subsequent import and coordination of the foreign transactions.

### getTransaction

    public javax.transaction.Transaction getTransaction()

  Gets the transaction object that is associated with the current thread

  return The transaction object that is associated with the current thread

### getTransaction

    public javax.transaction.Transaction getTransaction(javax.transaction.xa.Xid xid)

  Given an Xid returns the corresponding transaction object, if any

  Parameters:
    `xid` - Specifies the Xid, whether it is a foreign Xid or a WLS Xid
  Returns:
    The transaction object that is associated with the given Xid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD